Netduino home hardware projects downloads community

Jump to content


The Netduino forums have been replaced by new forums at community.wildernesslabs.co. This site has been preserved for archival purposes only and the ability to make new accounts or posts has been turned off.
Photo

New: Netduino 4.3.1 SDK and VS2012+ support


  • Please log in to reply
19 replies to this topic

#1 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 25 February 2014 - 04:26 AM

I'm happy to announce official support for .NET Micro Framework 4.3 QFE1.

This includes full support for Visual Studio 2012, both Express and Pro.
[For VS2013 support, see the VS2013 section near the end of this post.]

This new SDK is backwards compatible with all Netduinos--including boards running older firmware.

Visual Studio 2012 support
NOTE: VS2012 requires Windows 7 or newer.Netduino 4.3 firmwareUpgrades for Netduino Go
Netduino Go is getting some new accessories which require .NET MF 4.3 QFE1. We will be running a special 4.3 beta program for Netduino Go users this spring.

In the meantime this new SDK will work with Netduino Go boards running 4.2 firmware.

Upgrades for gen1 boards
We hope to be able to upgrade all gen1 Netduinos to .NET Micro Framework 4.3 QFE1. We currently have early firmware up and running on Netduino 1 and Netduino Mini. The upgrade to 4.3 QFE1 may be possible for Netduino Plus 1 as well, but at the moment it consumes a bit too much valuable flash/RAM.

We plan to ship firmware, where possible, for the gen1 boards in the March-May timeframe.

In the meantime this new SDK works with gen1 boards running 4.2 or earlier firmware.

Visual Studio 2013 support
If you would like to use Netduino with Visual Studio 2013 (Professional or better) instead, check out our experimental VS2013 SDK.

In Closing
Enjoy the new firmware and VS2012+ support! Please post any feedback here in this post.

Chris

Edited by Chris Walker, 01 December 2014 - 04:21 AM.
Added note regarding Netduino Mini


#2 Dr Who

Dr Who

    Advanced Member

  • Members
  • PipPipPip
  • 261 posts
  • LocationNYC

Posted 25 February 2014 - 04:38 AM

Hello!

But what about Mini support? The big problem is that I'm still a fan of the Mini. And the Gen1 device. Oh and what about the stuff that gets placed on the boards?



Doctor Who
"This signature does not exist!"

#3 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 25 February 2014 - 04:46 AM

Hi Dr. Who, We will most likely be able to upgrade the Netduino Mini to 4.3.1 as part of the gen1 board upgrades, in the March-May timeframe. Chris

#4 mcinnes01

mcinnes01

    Advanced Member

  • Members
  • PipPipPip
  • 325 posts
  • LocationManchester UK

Posted 25 February 2014 - 10:24 PM

Hi Chris,

 

Is there any release for the netduino 1?

 

Also any news on one-wire for the netduino 1?

 

Many thanks,

 

Andy



#5 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 25 February 2014 - 11:25 PM

Hi Andy,

Is there any release for the netduino 1?
 
Also any news on one-wire for the netduino 1?

Upgrades for gen1 boards
We hope to be able to upgrade all gen1 Netduinos to .NET Micro Framework 4.3 QFE1. We currently have early firmware up and running on Netduino 1 and Netduino Mini. The upgrade to 4.3 QFE1 may be possible for Netduino Plus 1 as well, but at the moment it consumes a bit too much valuable flash/RAM.

We plan to ship firmware, where possible, for the gen1 boards in the March-May timeframe.

Regarding OneWire...if the OneWire support built into NETMF works on SAM7X, we can try to squeeze it into the Netduino 1 "4.3" firmware. If it doesn't work, we can try to squeeze CW2's special implementation in there. I'll ping him.

Chris

#6 mcinnes01

mcinnes01

    Advanced Member

  • Members
  • PipPipPip
  • 325 posts
  • LocationManchester UK

Posted 26 February 2014 - 12:10 AM

Cheers Chris.

 

I look forward to it :)



#7 meldano

meldano

    New Member

  • Members
  • Pip
  • 3 posts

Posted 02 March 2014 - 01:50 PM

Visual Studio 2012 support
NOTE: VS2012 requires Windows 7 or newer.

 

Also 32Bit Win 7 ?



#8 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 03 March 2014 - 05:43 AM

Hi meldano,

Also 32Bit Win 7 ?

Yes, Visual Studio 2012 and the Netduino SDK support both 32-bit and 64-bit versions of Windows.

If you're using Windows 7, be sure to upgrade to SP1 before installing the SDK.

P.S. Welcome to the Netduino community,

Chris

#9 meldano

meldano

    New Member

  • Members
  • Pip
  • 3 posts

Posted 04 March 2014 - 10:10 AM

Hi Chris,

 

thanks!

After install

 

[*]Install the .NET Micro Framework SDK v4.3 QFE1
[*]Install the Netduino SDK v4.3.1

 

There is no Option in VS2012 Prof. to Chose a .Net Micro Framework Project

pvcgii2b.jpg



#10 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 04 March 2014 - 05:16 PM

Hi meldano,

On the left side of that window, under Visual C#, click on "Micro Framework" :)

Chris

#11 meldano

meldano

    New Member

  • Members
  • Pip
  • 3 posts

Posted 04 March 2014 - 06:23 PM

Sorry, i will fo to the eye doctor ;)

#12 vanikcz

vanikcz

    New Member

  • Members
  • Pip
  • 1 posts

Posted 02 July 2014 - 04:31 PM

Im asking for NETMF 4.3.1 support for Netduino Plus 1 device? Its July...

 

I have problem with Network on 4.2.0.1 that lost internet connection...



#13 Uli

Uli

    New Member

  • Members
  • Pip
  • 1 posts

Posted 09 August 2014 - 07:20 AM

Hallo,

 

I just installed the files according to post 1 by Chris in this thread.

 

Then I plugged in Netduino 2 plus. Blue LED blinked, then white (continously).

 

Then I started VS 2012 Express --> New Project (C#/Micro), File not found:

C:\Program Files (x86)\Microsoft Visual Studio 11.0\Common7\IDE\WDExpress\ProjectTemplatesCache\CSharp\Micro Framework\NetduinoPlus2Application.zip\NetduinoApplication.vstemplate

 

OK, there was no CSharp subfolder (only Visual Basic), searched for the CSharp files, found in C:\Program Files (x86)\Microsoft Visual Studio 11.0\Common7\IDE\WDExpress\ProjectTemplates.

Copied to ProjectTemplatesCache.

 

Then I tried to create the project again but got the same error message. But the file is there. What's wrong?

 

Otherwise I could create a VB project without problem. Are there any drawbacks using VB instead of C#?

 

Best regards

 

Uli

 

 



#14 FourT2

FourT2

    Advanced Member

  • Members
  • PipPipPip
  • 63 posts
  • LocationSeattle, WA

Posted 23 August 2014 - 07:43 AM

Hi Chris, please add me to the list of users asking for 4.3.1 support on Netduino 1 devices, mostly Plus and Mini  :)



#15 Dr Who

Dr Who

    Advanced Member

  • Members
  • PipPipPip
  • 261 posts
  • LocationNYC

Posted 12 September 2014 - 05:55 AM

Hello!

Chris what was the final resolution for the Gen1 devices, and the Mini with regards to NETMF 4.3? I've got my backup machine now configured as a Windows 8.1 system and also have Visual Studio 2013 Update 3 installed on it, I'm also going to be putting on it the full version of Visual Studio 2012 as well.

 

Oh and look for me next weekend.......



Doctor Who
"This signature does not exist!"

#16 Andrew Johnson

Andrew Johnson

    Member

  • Members
  • PipPip
  • 12 posts
  • LocationUK

Posted 18 October 2014 - 03:48 PM

Hi Chris,

 

Is there any news on availability of 4.3 for the Netduino 1 and Mini?

 

Thanks,

 

Andy



#17 jkrarup

jkrarup

    New Member

  • Members
  • Pip
  • 8 posts

Posted 05 February 2015 - 01:54 AM

Is there a newer Micro framework SDK than the link above for VS 2012? The link above seems to be broken.

 

Thanks,

Jens



#18 Chris Walker

Chris Walker

    Secret Labs Staff

  • Moderators
  • 7767 posts
  • LocationNew York, NY

Posted 05 February 2015 - 07:08 AM

Hi Jens,

Here you go:
http://forums.netdui...o-2013-support/

Chris

#19 PRLaba

PRLaba

    New Member

  • Members
  • Pip
  • 5 posts
  • LocationDover, NH

Posted 17 February 2015 - 06:06 AM

Help please.  I have a Netduino Plus 1 that I used over a year ago on a Windows 7 system running Visual C# Express 2010.

 

Now I'm trying to get that same Netduino working on a Windows 8.1 system running Visual Studio Express 2012.  I can't seem to come up with the correct combination of .NET Micro Framework version and Netduino SDK nersion that works with VS Express 2012.

 

Every version I tried downloading either wouldn't install (error message telling me it didn't support VS 2012), or it installed OK but 'Netduino' never appeared under the Visual C# template in Visual Studio.

 

What's the correct versions I need?

 

Thanks.



#20 PRLaba

PRLaba

    New Member

  • Members
  • Pip
  • 5 posts
  • LocationDover, NH

Posted 17 February 2015 - 09:17 PM

An update to my last plea for help.

 

I was able to install .NET Micro Framework SDK 4.3 (QFE2) and Netduino SDK v4.3.1 (Nov 2014) on my Windows 8.1 system with VS Express 2012.  When I started VS and selected 'New Project', the Micro Framework template appeared under both Visual Basic and Visual C#.  Within the Micro Framework template I was able to choose from several Netduino applications templates.  I selected 'Netduino Plus 1 Application'.

When I did that, an error message popped up:

 

The project file

'<long file path>NetduinoApplication6.csproj' cannot be opened.

 

There is a missing project subtype.

Subtype: '{b69e32 ......a37f}' is unsupported by this installation.

 

I got a similar error pop-up no matter which Netduino template I chose, under both Visual Basic and Visual C#.

 

Can someone explain what's happening here?

 

Thanks,

 

Paul






1 user(s) are reading this topic

1 members, 0 guests, 0 anonymous users


home    hardware    projects    downloads    community    where to buy    contact Copyright © 2016 Wilderness Labs Inc.  |  Legal   |   CC BY-SA
This webpage is licensed under a Creative Commons Attribution-ShareAlike License.